package org.project.entity.players;

import org.project.abilities.ArcaneStorm;
import org.project.item.armors.Armor;
import org.project.item.armors.AssassinArmor;
import org.project.item.weapons.Dagger;

public class Assassin extends Player {

    private static final int MAX_HP = 90;
    private static final int MAX_MP = 120;
    private static final int LEVEL = 1;
    private static final int XP = 0;
    private static final int BASE_DAMAGE = 15;

    private final Armor personalArmor =
            new AssassinArmor();

    public Assassin(String name) {

        super(
                name,
                MAX_HP,
                MAX_MP,
                LEVEL,
                XP,
                null,
                BASE_DAMAGE,
                new Dagger(),
                new ArcaneStorm()
        );
    }

    @Override
    public Armor getPersonalArmor() {
        return personalArmor;
    }
}
